
services:
    service_container:
        class: Symfony\Component\DependencyInjection\ContainerInterface
        public: true
        synthetic: true
    Symfony\Component\DependencyInjection\Tests\Fixtures\Prototype\Foo:
        class: Symfony\Component\DependencyInjection\Tests\Fixtures\Prototype\Foo
        public: true
        tags:
            - foo
            - baz
        deprecated:
            package: vendor/package
            version: '1.1'
            message: '%service_id%'
        arguments: [1]
        factory: f
    Symfony\Component\DependencyInjection\Tests\Fixtures\Prototype\Sub\Bar:
        class: Symfony\Component\DependencyInjection\Tests\Fixtures\Prototype\Sub\Bar
        public: true
        tags:
            - foo
            - baz
        deprecated:
            package: vendor/package
            version: '1.1'
            message: '%service_id%'
        lazy: true
        arguments: [1]
        factory: f
